Point boundary condition - hosted

dynamo
#1

Hi there,
A similar issue is been raised a while ago elsewhere in the forum, no solution founded, so i thought to summarize it here under developers, since it probably requires some python coding.

Using Dynamo, after selecting multiple analytical nodes (i.e. base of analytical columns) id like to be able to create hosted point boundary condition at those nodes (pinned).
Something similar can be done using a node made available from steamnodes - unfortunately that only works for line boundary conditions.
Below it’s my attempt to edit that python script but im definitely doing something wrong.
I’m copying the script i’m trying to adapt from “steamnodes” (this is not the original but my attempt, ive only changed line 37: “a=doc.Create.NewPointBoundaryConditions(e,s,R,s,R,s,R,s,R,s,R,s,R)”

This is the link to the revitapidocs regarding point boundary conditions insted.
http://www.revitapidocs.com/2019/db4e68f0-d06c-8207-98fb-83e84b3cb2d1.htm.

Any help would be much appreciated

Damo

#python nodes in dynamo 1.0
#proposed by Julien Benoit @jbenoit44
#http://aecuandme.wordpress.com/
import clr
clr.AddReference(‘ProtoGeometry’)
from Autodesk.DesignScript.Geometry import *
#Import ToDSType(bool) extension method
clr.AddReference(“RevitNodes”)
import Revit
clr.ImportExtensions(Revit.Elements)
#Import geometry conversion extension methods
clr.ImportExtensions(Revit.GeometryConversion)
#Import DocumentManager and TransactionManager
clr.AddReference(“RevitServices”)
import RevitServices
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager
from System.Collections.Generic import *
#Import RevitAPI
clr.AddReference(“RevitAPI”)
import Autodesk
from Autodesk.Revit.DB import *
from System.Collections.Generic import *

doc = DocumentManager.Instance.CurrentDBDocument

elt=UnwrapElement(IN[0])

R=float(IN[1])

bc=[ ]
#Start Transaction
TransactionManager.Instance.EnsureInTransaction(doc)

for e in elt:
s=Autodesk.Revit.DB.Structure.TranslationRotationValue.Fixed
a=doc.Create.NewPointBoundaryConditions(e,s,R,s,R,s,R,s,R,s,R,s,R)
bc.append(a)

#End Transaction
TransactionManager.Instance.TransactionTaskDone()

OUT =bc